// @ts-ignore
import Encrypt from 'encryptlong'

const publicKey =
  'MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCjj2wCi2yAWJOs8+N8XnzXoG7/4Bj973gIkpUC7/IYIPEXosrSLnrWBXWlk2s9puIjQjmQtgnzoMLwf4seW9o6nTSHr+p+6KNn4t701X0JToLjCjr+cGpGDJ+f2PN1HwU4G9xYfMyiZnGUNXgXhJZ58tWfaXBGxxSmr8Ag6bJPwQIDAQAB'

const encryptor = new Encrypt()
encryptor.setPublicKey(publicKey)
// eslint-disable-next-line import/prefer-default-export
export function encrypt(val: string) {
  const result = encryptor.encryptLong(val)
  return result
}
